VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::networking::InterfacesTypes::InterfaceInfo Class Reference

`Interfaces.InterfaceInfo` class Structure that defines properties and status of a network interface. More...

List of all members.

## Public Member Functions
| InterfaceInfo ()
| Creates a default new instance.
string | GetName ()
| Interface name, for example, "nic0", "nic1".
void | SetName (string name)
| Interface name, for example, "nic0", "nic1".
vmware.appliance.networking.InterfacesTypes.InterfaceStatus | GetStatus ()
| Interface status.
void | SetStatus (vmware.appliance.networking.InterfacesTypes.InterfaceStatus status)
| Interface status.
string | GetMac ()
| MAC address.
void | SetMac (string mac)
| MAC address.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

`Interfaces.InterfaceInfo` class Structure that defines properties and status of a network interface.

## Constructor & Destructor Documentation

vmware::appliance::networking::InterfacesTypes::InterfaceInfo::InterfaceInfo | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::appliance::networking::InterfacesTypes::InterfaceInfo::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::appliance::networking::InterfacesTypes::InterfaceInfo::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::appliance::networking::InterfacesTypes::InterfaceInfo::_GetType | ( |  | ) | `[inline]`

bool vmware::appliance::networking::InterfacesTypes::InterfaceInfo::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::appliance::networking::InterfacesTypes::InterfaceInfo::_Validate | ( |  | ) | `[inline]`

override bool vmware::appliance::networking::InterfacesTypes::InterfaceInfo::Equals | ( | object | obj | ) | `[inline]`

override int vmware::appliance::networking::InterfacesTypes::InterfaceInfo::GetHashCode | ( |  | ) | `[inline]`

string vmware::appliance::networking::InterfacesTypes::InterfaceInfo::GetMac | ( |  | ) | `[inline]`

MAC address.

For example 00:0C:29:94:BB:5A.

string vmware::appliance::networking::InterfacesTypes::InterfaceInfo::GetName | ( |  | ) | `[inline]`

Interface name, for example, "nic0", "nic1".

vmware.appliance.networking.InterfacesTypes.InterfaceStatus vmware::appliance::networking::InterfacesTypes::InterfaceInfo::GetStatus | ( |  | ) | `[inline]`

Interface status.

void vmware::appliance::networking::InterfacesTypes::InterfaceInfo::SetMac | ( | string | mac | ) | `[inline]`

MAC address.

For example 00:0C:29:94:BB:5A.

void vmware::appliance::networking::InterfacesTypes::InterfaceInfo::SetName | ( | string | name | ) | `[inline]`

Interface name, for example, "nic0", "nic1".

void vmware::appliance::networking::InterfacesTypes::InterfaceInfo::SetStatus | ( | vmware.appliance.networking.InterfacesTypes.InterfaceStatus | status | ) | `[inline]`

Interface status.

override string vmware::appliance::networking::InterfacesTypes::InterfaceInfo::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- InterfacesTypes.cs